/*************************************************
 **                                             **
 **   dbt.h                                     **
 **                                             **
 **          Copyright (C) 1988-1992 by         **
 **               SoftC, Ltd.                   **
 **               16820 3rd St NE               **
 **               Anoka, MN 55304               **
 **               (612) 434-6968                **
 **                                             **
 **             All rights reserved.            **
 *************************************************/



#ifndef __SOFTC_H__
#include "softc.h"
#endif



/**********
 *
 *  Defines
 *
 **********/


/* scdtrget, scdtrput definitions */
#define SC_CRUNCHNG 0               /* leave memo buffer unchanged */
#define SC_CRDELETE 0x100           /* delete soft carriage returns */





/**********
 *
 *  Type Definitions
 *
 **********/




typedef struct {  /* dBASE memo file information packet */
  SC_FLAGS flags; /* miscellaneous flags */
  CHAR fname[80]; /* file name */
  INT style;      /* file type (dBase3 or dBase4) */
  INT lockt;      /* file lock/unlock flag */
} SC_DBTINFO;






#ifdef __ANSI_PROTOTYPES__
#ifdef __cplusplus
extern "C" {
#endif


/**********
 *
 *  dBase Memo File Manipulator Prototypes
 *
 **********/




INT PROTOS scdtclose(  INT );            /* file handle */

INT PROTOS scdtcreate( CHAR F_PTR );     /* filename */

INT PROTOS scdtcreatex(CHAR F_PTR,       /* filename */
		       INT,              /* block size in 512 byte blocks */
		       INT );            /* file format (dBASE 3/4) */

INT PROTOS scdthget(   INT );            /* file handle */

INT PROTOS scdtinfo(   INT,              /* file handle */
		       SC_DBTINFO F_PTR ); /* file information and status */

INT PROTOS scdtlock(   INT );            /* file handle */

INT PROTOS scdtopenx(  INT F_PTR,        /* file handle */
		       CHAR F_PTR,       /* filename */
		       INT );            /* open mode & characteristics */

INT PROTOS scdtpack(   INT,              /* data file handle */
		       INT F_PTR);       /* memo file handle */

INT PROTOS scdtrget(   INT,              /* file handle */
		       LONG,             /* record number */
		       CHAR F_PTR F_PTR, /* buffer for record number */
		       INT );            /* remove soft carriage returns? */

INT PROTOS scdtrput(   INT,              /* file handle */
		       LONG F_PTR,       /* record number */
		       CHAR F_PTR,       /* buffer for record data */
		       INT );            /* insert soft carriage returns? */

INT PROTOS scdtunlock( INT );            /* file handle */




#ifdef __cplusplus
}
#endif
#endif



